Crystal Space: FrameBegin3DDraw Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FrameBegin3DDraw Class Reference
[Event handling]

FrameBegin3DDraw handles every csevFrame event in the 3D phase. More...

`#include <csutil/common_handlers.h>`

Inheritance diagram for FrameBegin3DDraw:

[legend]
List of all members.

## Public Member Functions
virtual bool | HandleEvent (iEvent &)
| This is the basic event handling function.
## Protected Attributes
csRef< iEngine > | engine
csRef< iGraphics3D > | g3d
iObjectRegistry * | object_reg
csRef< iView > | view

## Detailed Description

FrameBegin3DDraw handles every csevFrame event in the 3D phase.

It calls g3d->BeginDraw(engine->GetBeginDrawFlags () | CSDRAW_3DGRAPHICS) and view->Draw (), where engine and g3d are loaded from the registry by the constructor and view is loaded from the registry each time the event is handled. The handler returns false, so it will not prevent any subsequent csevFrame handlers being called.

Definition at line 48 of file common_handlers.h.

## Member Function Documentation

virtual bool FrameBegin3DDraw::HandleEvent | ( | iEvent & |  | ) | `[virtual]`

This is the basic event handling function.

To receive events, a component must implement iEventHandler and register with an event queue using iEventQueue::RegisterListener() and iEventQueue::Subscribe(). The event handler should return true if the event was handled. Returning true prevents the event from being passed along to other event handlers (unless the event's Broadcast flag has been set, in which case it is sent to all subscribers regardless of the return value). If the event was not handled, then false should be returned, in which case other event handlers are given a shot at the event. Do not return true unless you really handled the event and want event dispatch to stop at your handler.

Implements iEventHandler.

The documentation for this class was generated from the following file:

- csutil/common_handlers.h